Bug 801979 - xiphos crashes on el5, at startup.
xiphos crashes on el5, at startup.
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: xiphos (Show other bugs)
el5
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 20:41 EST by fred smith
Modified: 2017-04-06 06:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:04:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fred smith 2012-03-09 20:41:33 EST
Description of problem: xiphos crash on startup on EL5.


Version-Release number of selected component (if applicable):
xiphos-3.1.1-1.el5

How reproducible:
always

Steps to Reproduce:
1.on fully updated Centos 5.8
2.open terminal window
3.type "xiphos"
  
Actual results: program crashes


Expected results: scripture


Additional info: a new build of 3.1.5 would be lovely! :)
I can provide an strace dump of the failure if you'd like.
Comment 1 fred smith 2012-07-11 00:00:23 EDT
program still crashing. What can I do to help?

"ldd xiphos" reports a long list of dependencies, but NONE of them is reported as missing/not found/error.


bug buddy reports:
Memory status: size: 52264960 vsize: 0 resident: 52264960 share: 0 rss: 18382848 rss_rlim: 0
CPU usage: start_time: 1341978298 rtime: 0 utime: 11 stime: 0 cutime:10 cstime: 0 timeout: 1 it_real_value: 0 frequency: 0

Backtrace was generated from '/usr/bin/xiphos'

[Thread debugging using libthread_db enabled]
0x005d1410 in __kernel_vsyscall ()
#0  0x005d1410 in __kernel_vsyscall ()
#1  0x00979ab3 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x03ff5c26 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00000000 in ?? ()
#5  0x080ccadc in gecko_html_get_type ()
#6  0x080ccb9d in gecko_html_new ()
#7  0x0806608a in gui_create_bible_pane ()
#8  0x08072a05 in create_mainwindow ()
#9  0x080a46ff in main ()

Thread 1 (Thread 0xb7ef96e0 (LWP 7099)):
#0  0x005d1410 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00979ab3 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x03ff5c26 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00000000 in ?? ()
No symbol table info available.
#5  0x080ccadc in gecko_html_get_type ()
No symbol table info available.
#6  0x080ccb9d in gecko_html_new ()
No symbol table info available.
#7  0x0806608a in gui_create_bible_pane ()
No symbol table info available.
#8  0x08072a05 in create_mainwindow ()
No symbol table info available.
#9  0x080a46ff in main ()
No symbol table info available.
A debugging session is active.

the last portion of strace output is:

writev(13, [{"GIOP\1\2\1\0\210\v\0\0", 12}, {"\300\325\267\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\357\2440\30\\\361\250(\334)(("..., 2048}, {"ROLE_TOOL_TIP\0\0\0\n\0\0\0ROLE_TREE\0\0\0"..., 904}], 3) = 2964
poll([{fd=6, events=POLLIN}, {fd=11, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}], 8, -1) = 1 ([{fd=13, revents=POLLIN}])
read(13, "GIOP\1\2\1\1$\0\0\0", 12)     = 12
read(13, "\300\325\267\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1\0\1\5\t\1\1\0"..., 36) = 36
writev(13, [{"GIOP\1\2\1\0\4\r\0\0", 12}, {"@\322\267\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\357\2440\30\\\361\250(\334)(("..., 2040}, {"ROLE_TOOL_BAR\0\0\0\16\0\0\0ROLE_TOOL_TI"..., 1292}], 3) = 3344
poll([{fd=6, events=POLLIN}, {fd=11, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}], 8, -1) = 1 ([{fd=13, revents=POLLIN}])
read(13, "GIOP\1\2\1\1$\0\0\0", 12)     = 12
read(13, "@\322\267\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1\0\1\5\t\1\1\0"..., 36) = 36
writev(13, [{"GIOP\1\2\1\0\364\f\0\0", 12}, {"\260\327\267\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\357\2440\30\\\361\250(\334)(("..., 2044}, {"ROLE_TOOL_TIP\0\0\0\n\0\0\0ROLE_TREE\0\0\0"..., 1272}], 3) = 3328
poll([{fd=6, events=POLLIN}, {fd=11, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}], 8, -1) = 1 ([{fd=13, revents=POLLIN}])
read(13, "GIOP\1\2\1\1$\0\0\0", 12)     = 12
read(13, "\260\327\267\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1\0\1\5\t\1\1\0"..., 36) = 36
gettimeofday({1341978415, 419875}, NULL) = 0
gettimeofday({1341978415, 419908}, NULL) = 0
writev(13, [{"GIOP\1\2\1\0\210\v\0\0", 12}, {"\300\325\267\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\357\2440\30\\\361\250(\334)(("..., 2048}, {"ROLE_TOOL_TIP\0\0\0\n\0\0\0ROLE_TREE\0\0\0"..., 904}], 3) = 2964
poll([{fd=6, events=POLLIN}, {fd=11, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}], 8, -1) = 1 ([{fd=13, revents=POLLIN}])
read(13, "GIOP\1\2\1\1$\0\0\0", 12)     = 12
read(13, "\300\325\267\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1\0\1\5\t\1\1\0"..., 36) = 36
gettimeofday({1341978415, 420273}, NULL) = 0
gettimeofday({1341978415, 420305}, NULL) = 0
writev(13, [{"GIOP\1\2\1\0\4\r\0\0", 12}, {"@\322\267\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\357\2440\30\\\361\250(\334)(("..., 2040}, {"ROLE_TOOL_BAR\0\0\0\16\0\0\0ROLE_TOOL_TI"..., 1292}], 3) = 3344
poll([{fd=6, events=POLLIN}, {fd=11, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}], 8, -1) = 1 ([{fd=13, revents=POLLIN}])
read(13, "GIOP\1\2\1\1$\0\0\0", 12)     = 12
read(13, "@\322\267\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1\0\1\5\t\1\1\0"..., 36) = 36
writev(13, [{"GIOP\1\2\1\0\364\f\0\0", 12}, {"\260\327\267\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\357\2440\30\\\361\250(\334)(("..., 2044}, {"ROLE_TOOL_TIP\0\0\0\n\0\0\0ROLE_TREE\0\0\0"..., 1272}], 3) = 3328
poll([{fd=6, events=POLLIN}, {fd=11, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}], 8, -1) = 1 ([{fd=13, revents=POLLIN}])
read(13, "GIOP\1\2\1\1$\0\0\0", 12)     = 12
read(13, "\260\327\267\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1\0\1\5\t\1\1\0"..., 36) = 36
open("/dev/urandom", O_RDONLY|O_LARGEFILE) = 18
fstat64(18, {st_mode=S_IFCHR|0444, st_rdev=makedev(1, 9), ...}) = 0
ioctl(18, SNDCTL_TMR_TIMEBASE or TCGETS, 0xbfb7dbbc) = -1 EINVAL (Invalid argument)
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7bfd000
read(18, "\ntdl\337=2\33\304\214\303\355\231'\241\303/l\305\363y\363\26/\256-\210\225~l\17\353"..., 4096) = 4096
close(18)                               = 0
munmap(0xb7bfd000, 4096)                = 0
gettimeofday({1341978415, 422628}, NULL) = 0
gettimeofday({1341978415, 422659}, NULL) = 0
gettimeofday({1341978415, 422686}, NULL) = 0
gettimeofday({1341978415, 422742}, NULL) = 0
writev(13, [{"GIOP\1\2\1\0\264\v\0\0", 12}, {"\200\325\267\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\357\2440\30\\\361\250(\334)(("..., 2036}, {"ROLE_TOOL_BAR\0\0\0\16\0\0\0ROLE_TOOL_TI"..., 960}], 3) = 3008
poll([{fd=6, events=POLLIN}, {fd=11, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}], 8, -1) = 1 ([{fd=13, revents=POLLIN}])
read(13, "GIOP\1\2\1\1$\0\0\0", 12)     = 12
read(13, "\200\325\267\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1\0\1\5\t\1\1\0"..., 36) = 36
gettimeofday({1341978415, 423137}, NULL) = 0
gettimeofday({1341978415, 423166}, NULL) = 0
gettimeofday({1341978415, 423193}, NULL) = 0
gettimeofday({1341978415, 423218}, NULL) = 0
writev(13, [{"GIOP\1\2\1\0\224\v\0\0", 12}, {"`\325\267\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\357\2440\30\\\361\250(\334)(("..., 2048}, {"ROLE_TOOL_TIP\0\0\0\n\0\0\0ROLE_TREE\0\0\0"..., 916}], 3) = 2976
poll([{fd=6, events=POLLIN}, {fd=11, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}], 8, -1) = 1 ([{fd=13, revents=POLLIN}])
read(13, "GIOP\1\2\1\1$\0\0\0", 12)     = 12
read(13, "`\325\267\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1\0\1\5\t\1\1\0"..., 36) = 36
gettimeofday({1341978415, 423588}, NULL) = 0
gettimeofday({1341978415, 423617}, NULL) = 0
gettimeofday({1341978415, 423644}, NULL) = 0
gettimeofday({1341978415, 423669}, NULL) = 0
writev(13, [{"GIOP\1\2\1\0\20\r\0\0", 12}, {"@\322\267\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\357\2440\30\\\361\250(\334)(("..., 2040}, {"ROLE_TOOL_BAR\0\0\0\16\0\0\0ROLE_TOOL_TI"..., 1304}], 3) = 3356
poll([{fd=6, events=POLLIN}, {fd=11, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}], 8, -1) = 1 ([{fd=13, revents=POLLIN}])
read(13, "GIOP\1\2\1\1$\0\0\0", 12)     = 12
read(13, "@\322\267\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1\0\1\5\t\1\1\0"..., 36) = 36
writev(13, [{"GIOP\1\2\1\0\364\f\0\0", 12}, {"\260\327\267\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\357\2440\30\\\361\250(\334)(("..., 2044}, {"ROLE_TOOL_TIP\0\0\0\n\0\0\0ROLE_TREE\0\0\0"..., 1272}], 3) = 3328
poll([{fd=6, events=POLLIN}, {fd=11, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}], 8, -1) = 1 ([{fd=13, revents=POLLIN}])
read(13, "GIOP\1\2\1\1$\0\0\0", 12)     = 12
read(13, "\260\327\267\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1\0\1\5\t\1\1\0"..., 36) = 36
writev(13, [{"GIOP\1\2\1\0\210\v\0\0", 12}, {"`\327\267\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\357\2440\30\\\361\250(\334)(("..., 2048}, {"ROLE_TOOL_TIP\0\0\0\n\0\0\0ROLE_TREE\0\0\0"..., 904}], 3) = 2964
poll([{fd=6, events=POLLIN}, {fd=11, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}], 8, -1) = 1 ([{fd=13, revents=POLLIN}])
read(13, "GIOP\1\2\1\1$\0\0\0", 12)     = 12
read(13, "`\327\267\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1\0\1\5\t\1\1\0"..., 36) = 36
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
write(3, "\33\3\2\0\0\0\0\0", 8)        = 8
write(3, " \3\2\0\0\0\0\0", 8)          = 8
write(3, "%\3\1\0+\0\1\0", 8)           = 8
read(3, 0xbfb7e050, 32)                 = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "\1\2a\2\0\0\0\0\4\0\0\2\0\0\0\0\0\0\0\0\4\0\0\0pb \10\371\354\10\10", 32) = 32
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xb7f94728) = 7142
waitpid(7142, Bonobo accessibility support initialized
Bonobo accessibility support initialized

** (bug-buddy:7144): WARNING **: Couldn't load icon for Open Folder
0xbfb7e154, 0)            = ? ERESTARTSYS (To be restarted)
--- SIGCONT (Continued) @ 0 (0) ---
waitpid(7142, ptrace: Operation not permitted.
/home/fredex/7139: No such file or directory.
No stack.
[{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 7142
--- SIGCHLD (Child exited) @ 0 (0) ---
exit_group(1)                           = ?
Comment 2 Fedora End Of Life 2017-04-06 06:04:05 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.